<?php

class Prizm_Prizmpay_Block_Redirect extends Mage_Core_Block_Abstract {

    protected function _toHtml() {
        /* @var $prizmpay Prizm_Prizmpay_Model_Prizmpay */
        $prizmpay = Mage::getModel('prizmpay/prizmpay');
        $order    = $this->_getOrder();
        $html     = $prizmpay->getCheckoutHTML($order);
        return $html;
    }

    protected function _getOrder() {
        if ($this->getOrder()) {
            return $this->getOrder();
        } elseif (($orderIncrementId = $this->_getCheckout()->getLastRealOrderId())) {
            return Mage::getModel('sales/order')->loadByIncrementId($orderIncrementId);
        } else {
            return null;
        }
    }

    protected function _getCheckout() {
        return Mage::getSingleton('checkout/session');
    }

}
