<?php

class Prizm_Prizmpay_Block_Form extends Mage_Payment_Block_Form {

    protected function _construct() {
        $this->setTemplate('prizm/prizmpay/form.phtml');
        parent::_construct();
    }

    /**
     * Set method info
     *
     * @return Mage_Authorizenet_Block_Directpost_Form
     */
    public function setMethodInfo() {
        $payment = Mage::getSingleton('checkout/type_onepage')
                ->getQuote()
                ->getPayment();
        $this->setMethod($payment->getMethodInstance());

        return $this;
    }

    /**
     * Get type of request
     *
     * @return bool
     */
    public function isAjaxRequest() {
        return $this->getAction()
                        ->getRequest()
                        ->getParam('isAjax');
    }

}
